package com.plugins.exitprocess;

import org.apache.cordova.CallbackContext;
import org.apache.cordova.CordovaPlugin;
import org.json.JSONObject;
import org.json.JSONArray;
import org.json.JSONException;
import android.content.Intent;
import android.content.Context;
import android.os.Parcelable; 
import android.app.ActivityManager;

public class ExitProcessPlugin extends CordovaPlugin {
	
	 public static final String ACTION_EXIT_PROCESS = "exitProcess";
	 public static final String ACTION_EXIT_PROCESS_FROM_PACKAGENAME = "exitProcessFromPackageName";
	 
	@Override
	public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
		try {
			if(ACTION_EXIT_PROCESS.equals(action)){
	      	     System.exit(0);
	        }else if(ACTION_EXIT_PROCESS_FROM_PACKAGENAME.equals(action)){
	        	JSONObject arg_object = args.getJSONObject(0);
	        	String packageName=arg_object.getString("packageName");
	        	Context context=this.cordova.getActivity().getApplicationContext();
	        	ActivityManager manager = (ActivityManager) context.getSystemService(Context.ACTIVITY_SERVICE); 
	        	manager.killBackgroundProcesses(packageName);
	        	callbackContext.success();
	        } 
            callbackContext.error("Invalid action");
            return false;
        } catch(Exception e) {
            System.err.println("Exception: " + e.getMessage());
            callbackContext.error(e.getMessage());
            return false;
        } 
	}
}